/**
 * @file
 * Behaviors for the settings component form.
 */

(function ($, Drupal) {

  'use strict';

  Drupal.componentSettings = Drupal.componentSettings || {};
  Drupal.behaviors.componentSettings = {
    attach: function (context) {
      Drupal.componentSettings.setEvent(context);
    }
  }

  Drupal.componentSettings.setEvent = function (context) {
    const $wrapper_checkboxes = $('.wrapper-checkbox', context).once('wrapperCheckboxes');
    if ($wrapper_checkboxes.length > 0) {
      $wrapper_checkboxes.each(function () {
        const $this = $(this);
        const $image_collapse = $this.find('.collapse-image');
        if ($image_collapse.length > 0) {
          $this.addClass('has-image');
        }
      })
    }

    const $label = $('.checkbox-component').next().once('labelCheckbox');
    if ($label.length > 0) {
      $label.click(function (e) {
        e.preventDefault();
        e.stopPropagation();
        const $parent = $(this).closest('.wrapper-checkbox');
        $parent.toggleClass('active');
        const $image = $parent.find('.collapse-image');
        if ($image.length > 0) {
          $parent.addClass('has-image');
        }
        if ($image.length > 0) {
          $image.toggleClass('visually-hidden');
        }
      })
    }
  }

})(jQuery, Drupal);
