<?php

namespace Drupal\component_builder\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\inline_entity_form\Form\EntityInlineForm;
use Drupal\node\Entity\Node;

/**
 * Defines the inline form for order items.
 */
class ComponentItemInlineForm extends EntityInlineForm {

  /**
   * {@inheritdoc}
   */
  public function entityForm(array $entity_form, FormStateInterface $form_state) {
    $entity_form = parent::entityForm($entity_form, $form_state);
    $entity = $form_state->getFormObject()->getEntity();
    if ($entity instanceof Node) {
      $bundle = $entity_form['#entity']->bundle();
      if ($bundle === 'accordion') {
        $entity_form['title']['widget'][0]['value']['#required'] = TRUE;
        $entity_form['title']['widget'][0]['value']['#description'] = '';
      }
    }
    return $entity_form;
  }

  /**
   * {@inheritdoc}
   */
  public function entityFormValidate(array &$entity_form, FormStateInterface $form_state) {
    parent::entityFormValidate($entity_form, $form_state);
  }

}
