<?php

namespace Drupal\component_builder\Plugin\ComponentBuilder;

use Drupal\component_builder\ComponentBuilderBase;

/**
 * Provides 'Divider Section' component.
 *
 * @ComponentBuilder(
 *   id = "divider_section",
 *   label = @Translation("Divider Section"),
 *   group = @Translation("General components"),
 *   template = "divider_section",
 *   dependencies = {
 *      "color_field": {
 *         "label" : "Color field",
 *         "url" : "https://www.drupal.org/project/color_field"
 *       }
 *    }
 * )
 */
class DividerSection extends ComponentBuilderBase {

  /**
   * {@inheritdoc}
   */
  public function getTemplatePath() {
    return $this->getComponentPath() . '/templates';
  }

  /**
   * {@inheritdoc}
   */
  public function getLibraries() {
    return [
      'css' => [
        'theme' => [
          'components/component_divider_section/assets/style.css' => [],
        ],
      ],
      "version" => "VERSION",
    ];
  }

}
