<?php

namespace Drupal\component_builder\Plugin\ComponentBuilder;

use Drupal\component_builder\Annotation\ComponentBuilder;
use Drupal\component_builder\ComponentBuilderBase;

/**
 * Provides 'Slideshow Flexible' component.
 *
 * @ComponentBuilder(
 *   id = "slideshow_flexible",
 *   label = @Translation("Slideshow Flexible"),
 *   group = @Translation("General components"),
 *   template = "slideshow_flexible"
 * )
 */
class SlideshowFlexible extends ComponentBuilderBase {

  /**
   * {@inheritdoc}
   */
  public function getTemplatePath(): string {
    return $this->getComponentPath() . '/templates';
  }

  //  /**
  //   * {@inheritdoc}
  //   */
  //  public function prepareVariables(array &$variables): void {
  //    if (isset($variables['elements']['#component_item'])) {
  //      $component_item = $variables['elements']['#component_item'];
  //      if ($component_item instanceof ComponentItem) {
  //        $field_link = $component_item->get('field_link')->getValue();
  //        if ($field_link) {
  //          if (!$field_link[0]['title']) {
  //            if ($variables['content']['title']['0']) {
  //              $variables['content']['field_link']['0']['#title'] = $variables['content']['title'][0]['#context']['value'];
  //            }
  //          }
  //        }
  //      }
  //    }
  //  }

  /**
   * {@inheritdoc}
   */
  public function getLibraries(): array {
    return [
      'css' => [
        'theme' => [
          'components/component_slideshow_flexible/assets/style.css' => []
        ]
      ],
      'js' => [
        'components/component_slideshow_flexible/assets/style.js' => []
      ],
      "version" => "VERSION"
    ];
  }

}
