<?php

namespace Drupal\component_builder\Plugin\ComponentBuilder;

use Drupal\component_builder\ComponentBuilderBase;

/**
 * Provides 'Topic Summary' component.
 *
 * @ComponentBuilder(
 *   id = "topic_summary",
 *   label = @Translation("Topic Summary"),
 *   group = @Translation("General components"),
 *   template = "topic_summary"
 * )
 */
class TopicSummary extends ComponentBuilderBase {

  /**
   * {@inheritdoc}
   */
  public function getTemplatePath() {
    return $this->getComponentPath() . '/templates';
  }

  /**
   * {@inheritdoc}
   */
  public function getLibraries() {
    return [
      'css' => [
        'theme' => [
          'components/component_topic_summary/assets/style.css' => [],
        ],
      ],
      'js' => [
        'components/component_topic_summary/assets/style.js' => [],
      ],
      'dependencies' => [
        'core/jquery',
        'core/drupal',
        'core/jquery.once',
      ],
      "version" => "VERSION",
    ];
  }

}
